# digital_ocean_floating_ip_info – DigitalOcean Floating IPs information

New in version 2.5.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- This module can be used to fetch DigitalOcean Floating IPs information.

- This module was called `digital_ocean_floating_ip_facts` before Ansible 2.9. The usage did not change.

Aliases: digital_ocean_floating_ip_facts

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.6

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
oauth_token string |  | DigitalOcean OAuth token. There are several other environment variables which can be used to provide this value. i.e., - 'DO_API_TOKEN', 'DO_API_KEY', 'DO_OAUTH_TOKEN' and 'OAUTH_TOKEN' aliases: api_token
timeout integer | Default: 30 | The timeout in seconds used for polling DigitalOcean's API.

validate_certs
boolean

Choices:
- no
- yes ←

If set to `no`, the SSL certificates will not be validated.
This should only set to `no` used on personally controlled sites using self-signed certificates.

## Notes

Note

- Version 2 of DigitalOcean API is used.

## Examples

    - name: "Gather information about all Floating IPs"
      digital_ocean_floating_ip_info:
      register: result

    - name: "List of current floating ips"
      debug: var=result.floating_ips

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
floating_ips list | success and no resource constraint | a DigitalOcean Floating IP resource Sample: [{'ip': '45.55.96.47', 'droplet': None, 'region': {'name': 'New York 3', 'slug': 'nyc3', 'sizes': ['512mb', '1gb', '2gb', '4gb', '8gb', '16gb', '32gb', '48gb', '64gb'], 'features': ['private_networking', 'backups', 'ipv6', 'metadata'], 'available': True}, 'locked': False}]

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Patrick Marques (@pmarques)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.